Skip to content

Danh sách video liên quan đến sản phẩm

Giới thiệu

Lấy danh sách video liên quan đến các sản phẩm xác định với các tính năng sau:

  • Tìm theo ID sản phẩm
  • Trả về thông tin video chi tiết, bao gồm mô tả video, số lượt phát và dữ liệu tương tác
  • Bao gồm dữ liệu bán hàng liên quan đến video, chẳng hạn như sản lượng bán và doanh thu

Endpoint API

bash
    POST /product/v1/videoList

Tham số yêu cầu

TrườngKiểuBắt buộcMô tả
product_idstringID sản phẩm
daysintKhôngN ngày gần đây (thời gian đăng)
create_time_rangeintKhôngKhoảng thời gian đăng video ( unix timestamp )
is_adintKhôngCó phải quảng cáo (0: Không, 1: Có)

Lưu ý: dayscreate_time_range không thể được truyền cùng nhau

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/product/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729421229342823356",
        # "days": 3,
        "create_time_range": {
          "min": 1767196800,
          "max": 1777278619
        }
    },
    "orderby": {
        "field": "play_count",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "digg_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "comment_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "share_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "units_sold",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "gmv",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.list

TrườngKiểuMô tả
product_idstringID sản phẩm
video_idstringID video
uidstringID người dùng
seller_idstringID người bán
is_adintCó phải quảng cáo
comment_countintSố bình luận
digg_countintSố lượt thích
play_countintSố lượt phát
share_countintSố lượt chia sẻ
create_datestringNgày tạo
units_soldintSản lượng bán
gmvfloatDoanh thu bán hàng
regionstringQuốc gia/Khu vực
videoobjectĐối tượng thông tin video

data.list.video

TrườngKiểuMô tả
video_descstringMô tả video
coverstringURL ảnh bìa
durationintThời lượng (giây)
fastmoss_urlstringLiên kết Fastmoss
tiktok_urlstringLiên kết TikTok
uidstringID người dùng
create_timetimestampThời gian tạo

data.total

TrườngKiểuMô tả
totalstringTổng số bản ghi

Ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729421229342823356",
        "video_id": "7468186866076880170",
        "uid": "6790997286808093702",
        "is_ad": 0,
        "seller_id": "7495150597721263036",
        "comment_count": 0,
        "digg_count": 14,
        "play_count": 4592,
        "share_count": 0,
        "create_time": 1765024218000,
        "units_sold": 28,
        "gmv": 700.0,
        "video": {
          "video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
          "cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
          "duration": 12,
          "fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
          "tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
          "uid": "6790997286808093702"
        },
        "region": "US"
      }
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}